FROM debian:bookworm-slim
# Actualizamos
RUN apt-get update; apt-get -y upgrade
# Instalamos Apache y PHP
RUN apt-get -y install apache2
RUN apt-get -y install php8.2 php8.2-sqlite3 php8.2-intl php-curl
# Ajuste PHP-Curl
RUN sed -i 's/;extension=curl/extension=curl/g' /etc/php/8.2/apache2/php.ini
# Apache en primer plano
COPY httpd-foreground /usr/local/bin/
RUN chmod +x /usr/local/bin/httpd-foreground
EXPOSE 80
CMD ["httpd-foreground"]
